Snapvisor Docs
API ReferenceDeployments

Create a deployment

Create a deployment and receive signed upload URLs for the files Argos doesn't already store. Files already present (matched by content hash) are reused and omitted from `uploadFiles`. The environment is inferred from the branch when omitted.

POST
/deployments

Create a deployment and receive signed upload URLs for the files Argos doesn't already store. Files already present (matched by content hash) are reused and omitted from uploadFiles. The environment is inferred from the branch when omitted.

Authorization

projectToken
AuthorizationBearer <token>

Authenticate as a project with a project token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <project-token>

You can find your project token in your Argos project settings. Project tokens are used by CI and the SDK to create builds and deployments.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/deployments" \  -H "Content-Type: application/json" \  -d '{    "commit": "string",    "branch": "string",    "files": [      {        "path": "string",        "hash": "string",        "size": 1,        "contentType": "string"      }    ]  }'
{  "deploymentId": "string",  "uploadFiles": [    {      "path": "string",      "hash": "string",      "uploadUrl": "http://example.com"    }  ]}